curl --request POST \
--url https://mycluster.domino.tech/api/apps/v1/apps \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"projectId": "<string>",
"accessStatuses": [
{
"userId": "<string>"
}
],
"configurationType": "STANDARD",
"description": "<string>",
"discoverable": true,
"entryPoint": "<string>",
"initialVersion": {
"bundleId": "<string>",
"content": {
"dataPlaneId": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"importedGitRepoRefPatches": [
{
"repoId": "<string>",
"gitRef": {
"value": "<string>"
}
}
],
"mountDatasets": true,
"netAppVolumeIds": [
"<string>"
],
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"repoId": "<string>",
"ref": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
}
},
"deployment": {
"hardwareTierId": "<string>",
"renderIFrame": true,
"vanityUrl": "<string>"
},
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"workspaceId": "<string>"
},
"mountDatasets": true,
"renderIFrame": true,
"sendNotifications": true
}
'import requests
url = "https://mycluster.domino.tech/api/apps/v1/apps"
payload = {
"name": "<string>",
"projectId": "<string>",
"accessStatuses": [{ "userId": "<string>" }],
"configurationType": "STANDARD",
"description": "<string>",
"discoverable": True,
"entryPoint": "<string>",
"initialVersion": {
"bundleId": "<string>",
"content": {
"dataPlaneId": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": True,
"externalVolumeMountIds": ["<string>"],
"importedGitRepoRefPatches": [
{
"repoId": "<string>",
"gitRef": { "value": "<string>" }
}
],
"mountDatasets": True,
"netAppVolumeIds": ["<string>"],
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"repoId": "<string>",
"ref": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
}
},
"deployment": {
"hardwareTierId": "<string>",
"renderIFrame": True,
"vanityUrl": "<string>"
},
"description": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"workspaceId": "<string>"
},
"mountDatasets": True,
"renderIFrame": True,
"sendNotifications": True
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
projectId: '<string>',
accessStatuses: [{userId: '<string>'}],
configurationType: 'STANDARD',
description: '<string>',
discoverable: true,
entryPoint: '<string>',
initialVersion: {
bundleId: '<string>',
content: {
dataPlaneId: '<string>',
dfsCommitId: '<string>',
entryScript: '<string>',
environmentId: '<string>',
environmentRevisionId: '<string>',
extendedIdentityPropagationToAppsEnabled: true,
externalVolumeMountIds: ['<string>'],
importedGitRepoRefPatches: [{repoId: '<string>', gitRef: {value: '<string>'}}],
mountDatasets: true,
netAppVolumeIds: ['<string>'],
resolvedCommits: {
dfsCommitId: '<string>',
gitCommitId: '<string>',
importedGitRepos: [{repoId: '<string>', ref: '<string>', repoName: '<string>'}],
importedProjects: [
{
commitId: '<string>',
directoryName: '<string>',
ownerId: '<string>',
projectId: '<string>',
projectName: '<string>',
release: '<string>'
}
]
}
},
deployment: {hardwareTierId: '<string>', renderIFrame: true, vanityUrl: '<string>'},
description: '<string>',
tags: [{key: '<string>', value: '<string>'}],
workspaceId: '<string>'
},
mountDatasets: true,
renderIFrame: true,
sendNotifications: true
})
};
fetch('https://mycluster.domino.tech/api/apps/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessControl": {
"accessStatuses": [
{
"userId": "<string>"
}
],
"discoverable": true
},
"authorship": {
"isDraft": true,
"author": {
"id": "<string>",
"name": "<string>"
}
},
"configurationType": "STANDARD",
"entryPoint": "<string>",
"id": "<string>",
"mountDatasets": true,
"name": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"ownerUsername": "<string>"
},
"renderIFrame": true,
"url": "<string>",
"views": 123,
"currentVersion": {
"createdAt": 123,
"id": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"bundle": {
"id": "<string>",
"name": "<string>"
},
"content": {
"mountDatasets": true,
"dataPlaneId": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"gitRef": {
"value": "<string>"
},
"importedGitRepoRefs": [
{
"gitRef": {
"value": "<string>"
},
"repoId": "<string>",
"repoName": "<string>"
}
],
"netAppVolumeIds": [
"<string>"
],
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
}
},
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"lastSynced": {
"syncedAt": 123,
"dfsCommitId": "<string>",
"importedRepoCommits": [
{
"ref": "<string>",
"repoId": "<string>"
}
],
"mainRepoCommitId": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
}
},
"deployment": {
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"hardwareTierId": "<string>",
"vanityUrl": "<string>"
},
"description": "<string>",
"versionNumber": 123
},
"description": "<string>",
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"updatedAt": 123,
"updatedBy": {
"userId": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
],
"thumbnailEtag": "<string>",
"updatedAt": 123,
"vanityUrl": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"error": "<string>"
}Create App (v1)
Create a published App with an initial version. The initialVersion field provides optional configuration for the version; a version is always created even if the field is omitted. Does NOT start an instance. (To create a draft App, use POST /apps/drafts.)
Authorizations
Body
Request to create an app
Create a published App with an initial version. A version is always created; the 'initialVersion' field provides optional configuration for it. Does NOT start an instance. (To create a draft App, use POST /apps/drafts.)
AUTHENTICATED, GRANT_BASED, GRANT_BASED_STRICT, PUBLIC Show child attributes
Show child attributes
Type of configuration for the app which determines different deployment resources and settings.
STANDARD, AISYSTEM Immutable after creation.
Optional configuration for the initial version. A version is always created; this field overrides defaults for it. content.mountDatasets, when provided, overrides the top-level mountDatasets for the initial version snapshot only; the App keeps the top-level value.
Show child attributes
Show child attributes
App-level default for whether to mount Domino Datasets into the App's runtime. Omitted falls back to the internal default (true). Per-version overrides via initialVersion.content.mountDatasets (this endpoint) and POST /apps/{appId}/versions still win.
When initial accessStatuses contains users, controls whether those users receive an email notification on creation. Defaults to false when omitted.
Response
Success
Visibility and access-grant settings for an App.
Show child attributes
Show child attributes
Identity metadata for an App: whether it is a draft and the user who created it.
Show child attributes
Show child attributes
Type of configuration for the app which determines different deployment resources and settings.
STANDARD, AISYSTEM App-level default for whether to mount Domino Datasets into the App's runtime.
Show child attributes
Show child attributes
The most recently started (which may be different from the most recently created) version of this App. If no version has been started, defaults to most recently created version.
Show child attributes
Show child attributes
Property values assigned to this app, grouped by group name.
Show child attributes
Show child attributes
Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.
Show child attributes
Show child attributes
Related topics
Create App Version (v1)Create App Version and Start (v1)Create or ensure a draft App for a workspace (v1)Delete App (v1)Was this page helpful?